Bug 104647 - When trying to Save as copy a specific file with Win debug build, the Save button is defunct
Summary: When trying to Save as copy a specific file with Win debug build, the Save bu...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: notBibisectable, regression
Depends on:
Blocks: Save
  Show dependency treegraph
 
Reported: 2016-12-13 16:03 UTC by Telesto
Modified: 2021-05-16 03:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2016-12-13 16:03:34 UTC
Description:
Maybe just a version glitch, but I can't save copy.

Steps to Reproduce:
1. Open attachment 129581 [details] (bug 104639)
2. Select File -> Save a copy -> ODF Spreadsheet
3. Click save
4. Nothing happens

Actual Results:  
Nothing happens

Expected Results:
File should be saved as a copy


Reproducible: Always

User Profile Reset: No

Additional Info:
Version: 5.4.0.0.alpha0+
Build ID: ba6b35fc68a01aff72b39eb7809bacb326068668
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-12-13_06:07:39
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Buovjaga 2016-12-16 21:12:40 UTC
It worked here. Maybe I'll try on Win tomorrow.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 06ea887f8ba34a628d7641eab210501f7bd2493d
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on December 16th 2016
Comment 2 tommy27 2016-12-17 13:01:53 UTC
tested under Win8.1 x64 using 5.4.0.0.alpha0+
Build ID: 690cf2a5ac87d3d05c45a86944e7f6b0adf12cf2
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-12-15_18:59:20
Locale: it-IT (it_IT); Calc: group

LibO crashes after slow loading of the file
Comment 3 Telesto 2016-12-17 13:07:32 UTC
(In reply to tommy27 from comment #2)
> tested under Win8.1 x64 using 5.4.0.0.alpha0+
> Build ID: 690cf2a5ac87d3d05c45a86944e7f6b0adf12cf2
> CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
> TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-12-15_18:59:20
> Locale: it-IT (it_IT); Calc: group
> 
> LibO crashes after slow loading of the file

Also know issue: bug 104639 (but sometimes it's working :-)
Comment 4 Buovjaga 2016-12-17 21:11:48 UTC
Reproduced on Win with the exact same version:
Version: 5.4.0.0.alpha0+
Build ID: ba6b35fc68a01aff72b39eb7809bacb326068668
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-12-13_06:07:39
Locale: fi-FI (fi_FI); Calc: group

BUT not reproduced on
Version: 5.4.0.0.alpha0+
Build ID: 1427817a944f3cf1020b2f06a2ca934847b56ba8
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-17_10:02:28
Locale: fi-FI (fi_FI); Calc: group
Comment 5 Buovjaga 2016-12-18 11:22:03 UTC
Still repro with TB39, so setting to NEW.

Version: 5.4.0.0.alpha0+
Build ID: 53edf60c4ce6ed32f87471e018878c40b788005a
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-12-18_07:01:05
Locale: fi-FI (fi_FI); Calc: group
Comment 6 QA Administrators 2018-07-10 02:36:43 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2019-05-16 16:45:12 UTC
No problem with bibisect builds, so changing keyword to notBibisectable
Comment 8 QA Administrators 2021-05-16 03:45:07 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug